Skip to content

Clone Bundle Option

POST https://api.secure.quotivity.com/v1/bundles/{bundleId}/options/{optionId}/clone

Clones a bundle option with its price book, price book entries, and products.

Send your API key in the x-api-key header. See Generating API keys.

Name Type Required Description
bundleId string Yes
optionId string Yes
Status Body Description
201 CloneBundleOptionResponse Bundle option cloned successfully
400 Bundle option does not belong to this bundle
401 Unauthorized
500 Internal Server Error
Field Type Required Description
id string Yes
accountId string Yes
bundleId string Yes
name string Yes
description string No
priceBookId string Yes
displayOrder number Yes
configuration BundleOptionConfiguration Yes
Field Type Required Description
minCount number No
maxCount number No
defaultOptionProductId string No
Field Type Required Description
id string Yes
accountId string Yes
bundleId string Yes
optionId string Yes
productId string Yes
properties map of string to string Yes
configuration BundleProductConfiguration No
displayOrder number Yes
Field Type Required Description
minQuantity number No
maxQuantity number No
readonlyQuantity boolean No
Field Type Required Description
option BundleOption & object Yes
priceBook PriceBook Yes
Field Type Required Description
id string Yes
accountId string Yes
name string Yes
description string Yes
bundleOptionId string No
isDeleted boolean No
effectiveStartDate string No ISO date string (e.g. “2025-01-01”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.
effectiveEndDate string No ISO date string (e.g. “2025-12-31”). Requires PRICE_BOOK_EFFECTIVE_DATES feature.